Loading...
Searching...
No Matches
irr::scene::quake3::SVarGroup Struct Reference

`#include <IQ3Shader.h>`

## Public Member Functions

| SVarGroup ()
virtual | ~SVarGroup ()
const core::stringc & | get (const c8 *name) const
u32 | isDefined (const c8 *name, const c8 *content=0) const
void | set (const c8 *name, const c8 *content=0)

## Public Attributes

core::array< SVariable > | Variable

## Detailed Description

Definition at line 575 of file IQ3Shader.h.

## Constructor & Destructor Documentation

## SVarGroup()

irr::scene::quake3::SVarGroup::SVarGroup | ( |  | ) |

inline

Definition at line 577 of file IQ3Shader.h.

References irr::core::ALLOC_STRATEGY_SAFE, and Variable.

## ~SVarGroup()

virtual irr::scene::quake3::SVarGroup::~SVarGroup | ( |  | ) |

inline virtual

Definition at line 578 of file IQ3Shader.h.

## Member Function Documentation

## get()

const core::stringc & irr::scene::quake3::SVarGroup::get | ( | const c8 * | name | ) | const

inline

Definition at line 596 of file IQ3Shader.h.

References Variable.

## isDefined()

u32 irr::scene::quake3::SVarGroup::isDefined | ( | const c8 * | name,
|  | const c8 * | content = 0 ) const

inline

Definition at line 580 of file IQ3Shader.h.

References Variable.

Referenced by set().

## set()

void irr::scene::quake3::SVarGroup::set | ( | const c8 * | name,
|  | const c8 * | content = 0 )

inline

Definition at line 607 of file IQ3Shader.h.

References isDefined(), and Variable.

## Member Data Documentation

## Variable

core::array< SVariable > irr::scene::quake3::SVarGroup::Variable

Definition at line 621 of file IQ3Shader.h.

Referenced by SVarGroup(), irr::scene::quake3::dumpVarGroup(), get(), isDefined(), and set().

The documentation for this struct was generated from the following file:

- IQ3Shader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0